@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

:root {
    /* Core */
    --bg-main: #0F172A;
    --bg-surface: #111827;
    --border-subtle: #1F2937;

    /* Text */
    --text-primary: #E5E7EB;
    --text-secondary: #9CA3AF;
    --text-muted: #6B7280;

    /* Accents */
    --accent-primary: #3B82F6;
    --accent-success: #22C55E;
    --accent-warning: #F59E0B;
    --accent-error: #EF4444;

    /* Gradients */
    --gradient-primary:
        linear-gradient(135deg, #3B82F6 0%, #6366F1 100%);

    --gradient-header:
        linear-gradient(180deg, #0F172A 0%, #020617 100%);

    --gradient-success:
        linear-gradient(90deg, #22C55E 0%, #4ADE80 100%);

    --gradient-card-glow:
        linear-gradient(145deg,
            rgba(99, 102, 241, 0.15),
            rgba(59, 130, 246, 0.05));
}

:root[data-theme="light"] {
    /* Core */
    --bg-main:
        linear-gradient(135deg, #2563EB 0%, #4F46E5 100%);
    /* clean light gray, not dead white */
    --bg-surface:
        linear-gradient(135deg, #25cdeb 0%, #4F46E5 100%);
    /* true surface contrast */
    --border-subtle: #E2E8F0;
    /* soft but visible borders */

    /* Text */
    --text-primary: #ffffff;
    /* near-black for real readability */
    --text-secondary: #c7dfff;
    --text-muted: #ffffff;

    /* Accents */
    --accent-primary: #ffffff;
    /* confident blue, not childish */
    --accent-success: #16A34A;
    --accent-warning: #CA8A04;
    --accent-error: #DC2626;

    /* Gradient */
    --gradient-header:
        linear-gradient(135deg, #2563EB 0%, #4F46E5 100%);
}

:root[data-theme="pro-dark"] {
    /* Core */
    --bg-main: #0B0E14;
    --bg-surface: #131722;
    --border-subtle: #1C2333;

    /* Text */
    --text-primary: #E6EDF3;
    --text-secondary: #9DA7B3;
    --text-muted: #6B7280;

    /* Accents */
    --accent-primary: #00D1B2;
    --accent-warning: #5EEAD4;
    --accent-error: #FB7185;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins", sans-serif;
}

html,
body {
    height: 100%;
    width: 100%;
}